package ru.landgrafhomyak.db.sql_skeleton_0.api.queries

import kotlin.jvm.JvmName
import ru.landgrafhomyak.db.sql_skeleton_0.api.misc._Selectable


@Suppress("ClassName")
public interface _Statement<qUE : Any?> {
	@Suppress("INAPPLICABLE_JVM_NAME")
	@get:JvmName("uExt")
	public val uExt: qUE

	public interface Void2Void : _Statement<Nothing?> {
		override val uExt: Nothing?
			get() = null
	}

	public interface Void2Row<qUE : Any> : _Statement<qUE>
	public interface Void2RowOrNull<qUE : Any> : _Statement<qUE>
	public interface Void2Table<qUE : Any> : _Statement<qUE>
	public interface Params2Void<qUE : Any> : _Statement<qUE>
	public interface Params2Row<qUE : Any> : _Statement<qUE>
	public interface Params2RowOrNull<qUE : Any> : _Statement<qUE>
	public interface Params2Table<qUE : Any> : _Statement<qUE>
}